Application: gvSIG desktop - gvSIG bugs #2090
No default geometry type for Postgis sources
11/06/2013 12:51 PM - Jose Manuel Vivé Arnal

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Database

Target version: 2.1.0-2217-devel

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: Unknown

Description

On postgis sources the geometry columns has no set the default type if it is not defined on geometry_columns table. This produces an
exception if you tries to create a layer with it.

This patch set default geometry type to Geomerty. TYPE.GEOMETRY, so store could be used to create a layer.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2091: JDBCStoreProvider ... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2100: direct-sql sources... Closed
Related to Application: gvSIG desktop - gvSIG bugs # 2089: Erroneous conditio... Closed
History

#1-11/11/2013 11:34 AM - Juan Lucas Dominguez
- Assignee set to Juan Lucas Dominguez

#2 - 11/11/2013 12:07 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

Setting default geometry type in case field is not registered in geometry_columns table. Patch provided by jmvivo.

gvsig-postgresql:r17

#3 - 01/13/2014 09:38 AM - Joaquin del Cerro Murciano

- Target version set to 2.1.0-2217-devel

#4 - 01/28/2014 09:28 AM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

fixes_no_default_GeometryType_on_postgis.patch 849 Bytes 11/06/2013 Jose Manuel Vivo Arnal

04/30/2024 1/1




